import { Test } from './test.interface';
import { Assignment } from './assignment.interface';
import { Comment } from './comment.interface';

export interface Subject {
  id?: number;
  groupId?: number;
  name: string;
  lectureTeacher: string;
  labTeacher: string;
  mainExam: boolean;
  examDate: Date;
  editedBy?: string;
  tests: Test[];
  assignments: Assignment[];
  comments: Comment[];
}
