import { BaseComponent } from './../user/components/base/base.component';
import { SubjectMainComponent } from './components/subject-main/subject-main.component';
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { SubjectEditComponent } from './components/subject-edit/subject-edit.component';


const routes: Routes = [
  {
    path: '',
    component: BaseComponent,
    children: [
      { path: '', component: SubjectMainComponent },
      { path: 'new-subject/:groupId', component: SubjectEditComponent },
      { path: 'edit/:groupId/:id', component: SubjectEditComponent }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SubjectRoutingModule { }
