import { BaseComponent } from './../user/components/base/base.component';
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { GroupMainComponent } from './components/group-main/group-main.component';
import { GroupEditComponent } from './components/group-edit/group-edit.component';
import { NewGroupComponent } from './components/new-group/new-group.component';


const routes: Routes = [
    {
      path: '',
      component: BaseComponent,
      children: [
        { path: '', component: GroupMainComponent },
        { path: 'add-new', component: NewGroupComponent },
        { path: 'edit/:groupId', component: GroupEditComponent }
      ]
    }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class GroupRoutingModule { }
