export const environment = {
  production: false,
  host: 'http://localhost:56764/',
  apiEndpoints: {
    subjects: {
      getListByGroupId: 'api/subjects/list-by-group-id',
      getById: 'api/subjects/get-by-id',
      delete: 'api/subjects/delete',
      add: 'api/subjects/add',
      update: 'api/subjects/update',
      unlock: 'api/subjects/unlock'
    },
    deleteRequests: {
      getListByGroupId: 'api/subjectDeleteRequests/list-by-group-id',
      add: 'api/subjectDeleteRequests/add',
      approve: 'api/subjectDeleteRequests/approve',
      cancel: 'api/subjectDeleteRequests/cancel',
    },
    users: {
      register: 'api/users/register',
      login: 'api/users/login'
    },
    groups: {
      getAll: 'api/groups/list',
      getById: 'api/groups/get-by-id',
      getCurrentUserGroups: 'api/groups/current-user-groups',
      add: 'api/groups/add',
      delete: 'api/groups/delete',
      leave: 'api/groups/leave'
    },
    groupCandidates: {
      getList: 'api/groupCandidates/list',
      joinRequest: 'api/groupCandidates/join-request',
      accept: 'api/groupCandidates/accept',
      decline: 'api/groupCandidates/decline'
    }
  }
};
